---
title: PaymentAddress.postalCode
slug: Web/API/PaymentAddress/postalCode
tags:
  - API
  - Address
  - PIN
  - PIN Code
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Post Code
  - Postal Code
  - Property
  - Read-only
  - Reference
  - ZIP
  - ZIP Code
  - payment
  - paymentAddress
  - postalCode
---
<div>{{APIRef("Payment Request API")}}</div>

<p>The <strong><code>postalCode</code></strong> read-only property of the {{domxref('PaymentAddress')}} interface returns a string containing a code used by a jurisdiction for mail routing, for example, the {{interwiki("wikipedia", "ZIP Code")}} in the United States or the {{interwiki("wikipedia", "Postal Index Number")}} (PIN code) in India.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentPostalCode</em> = <em>PaymentAddress</em>.postalCode;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which contains the postal code portion of the address. A postal code is a string (either numeric or alphanumeric) which is used by a postal service to optimize mail routing and delivery.</p>

<p>Various countries use different terms for this. In most of the world, it's known as the "post code" or "postal code." In the United States, the ZIP code is used. India uses PIN codes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentaddress-postalcode','PaymentAddress.postalCode')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.postalCode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Universal Postal Union: <a href="http://www.upu.int/en/resources/postcodes/looking-up-a-postcode.html">Post code lookup service</a></li>
 <li>Universal Postal Union: <a href="http://www.upu.int/en/resources/postcodes/universal-postcoder-database.html">Universal Post*Code® Database</a></li>
</ul>
</div>
